<?php
/**
 * @author krku
 */

function smarty_function_gv($params, &$smarty) {
	$obj = $smarty->get_template_vars($params['o']);

	if ($obj && is_object($obj) && method_exists($obj, $params['f'])) {
		return $obj->$params['f']();
	} else {
		return '';
	}
}
?>
